import {
	createSSRApp
} from "vue";
import uviewPlus from './uni_modules/uview-plus'
import platform from '@/jtools/platform';
import constants from '@/jtools/constants';
import storage from '@/jtools/storage';
import { createPinia } from 'pinia'
import App from "./App.vue";
export function createApp() {
	const app = createSSRApp(App);
	app.config.globalProperties.$platform=platform
	app.config.globalProperties.$constants=constants
	app.config.globalProperties.$storage=storage
	app.use(uviewPlus)
	app.use(createPinia())
	return {
		app,
	};
}
